aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gold/ChangeLog4
-rwxr-xr-xgold/testsuite/ver_test_pr16504.sh4
2 files changed, 6 insertions, 2 deletions
diff --git a/gold/ChangeLog b/gold/ChangeLog
index c1cee52..7bc3893 100644
--- a/gold/ChangeLog
+++ b/gold/ChangeLog
@@ -1,5 +1,9 @@
2020-05-01 H.J. Lu <hongjiu.lu@intel.com>
+ * testsuite/ver_test_pr16504.sh: Updated.
+
+2020-05-01 H.J. Lu <hongjiu.lu@intel.com>
+
PR gold/25872
* x86_64.cc (Output_data_plt_x86_64_bnd::do_write): Increment
plt_offset after setting the reserved TLSDESC PLT entry.
diff --git a/gold/testsuite/ver_test_pr16504.sh b/gold/testsuite/ver_test_pr16504.sh
index 9057414..9def5a5 100755
--- a/gold/testsuite/ver_test_pr16504.sh
+++ b/gold/testsuite/ver_test_pr16504.sh
@@ -24,7 +24,7 @@
check()
{
- if ! grep -q "$2" "$1"
+ if ! egrep -q "$2" "$1"
then
echo "Did not find expected symbol in $1:"
echo " $2"
@@ -36,6 +36,6 @@ check()
}
check ver_test_pr16504.stdout " FUNC .* UND *foo@VER2"
-check ver_test_pr16504.stdout " IFUNC .* foo@@VER1"
+check ver_test_pr16504.stdout " (IFUNC|<OS specific>: 10) .* foo@@VER1"
exit 0